### Method

# GExiv2 Metadata from_stream

#### Declaration [src]

    gboolean
    gexiv2_metadata_from_stream (
      GExiv2Metadata* self,
      GInputStream* stream,
      GError** error
    )

#### Description [src]

Read metadata from a `GInputStream`. This function is not very efficient in places since it needs to copy memory to fullfil underlying requirements by exiv2, which expects everything to be memory-mappable.

#### Parameters

`stream`

  Type: `GInputStream`

  No description available.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.